# Identity Server configuration
# Email configuration for "10.130.2.18"
is:
  email:
    sender-name: 'The Things Stack'
    sender-address: 'noreply@10.130.2.18'
    network:
      name: 'The Things Stack'
      console-url: 'http://10.130.2.18:8080/console'
      identity-server-url: 'http://10.130.2.18:8080/oauth'

    # If sending email with Sendgrid
    # provider: sendgrid
    # sendgrid:
    #   api-key: '...'              # enter Sendgrid API key

    # If sending email with SMTP
    # provider: smtp
    # smtp:
    #   address:  '...'             # enter SMTP server address
    #   username: '...'             # enter SMTP server username
    #   password: '...'             # enter SMTP server password

  # Web UI configuration for "10.130.2.18":
  oauth:
    ui:
      canonical-url: 'http://10.130.2.18:8080/oauth'
      is:
        base-url: 'http://10.130.2.18:8080/api/v3'

# HTTP server configuration
http:
  cookie:
    block-key: 'BLOCKKEY'                # generate 32 bytes (openssl rand -hex 32)
    hash-key: 'HASHKEY'                 # generate 64 bytes (openssl rand -hex 64)
  metrics:
    password: 'metrics'               # choose a password
  pprof:
    password: 'pprof'                 # choose a password

# If using custom certificates:
# tls:
#   source: file
#   root-ca: /run/secrets/ca.pem
#   certificate: /run/secrets/cert.pem
#   key: /run/secrets/key.pem

# Let's encrypt for "10.130.2.18"
tls:
  source: 'acme'
  acme:
    dir: '/var/lib/acme'
    email: 'you@10.130.2.18'
    hosts: ['10.130.2.18:8080']
    default-host: '10.130.2.18:8080'

# If Gateway Server enabled, defaults for "10.130.2.18":
gs:
  mqtt:
    public-address: '10.130.2.18:1882'
    public-tls-address: '10.130.2.18:8882'
  mqtt-v2:
    public-address: '10.130.2.18:1881'
    public-tls-address: '10.130.2.18:8881'

# If Gateway Configuration Server enabled, defaults for "10.130.2.18":
gcs:
  basic-station:
    default:
      lns-uri: 'wss://10.130.2.18:8887'
  the-things-gateway:
    default:
      mqtt-server: 'mqtts://10.130.2.18:8881'

# Web UI configuration for "10.130.2.18":
console:
  ui:
    canonical-url: 'http://10.130.2.18:8080/console'
    is:
      base-url: 'http://10.130.2.18:8080/api/v3'
    gs:
      base-url: 'http://10.130.2.18:8080/api/v3'
    gcs:
      base-url: 'http://10.130.2.18:8080/api/v3'
    ns:
      base-url: 'http://10.130.2.18:8080/api/v3'
    as:
      base-url: 'http://10.130.2.18:8080/api/v3'
    js:
      base-url: 'http://10.130.2.18:8080/api/v3'
    qrg:
      base-url: 'http://10.130.2.18:8080/api/v3'
    edtc:
      base-url: 'http://10.130.2.18:8080/api/v3'

  oauth:
    authorize-url: 'http://10.130.2.18:8080/oauth/authorize'
    token-url: 'http://10.130.2.18:8080/oauth/token'
    logout-url: 'http://10.130.2.18:808/oauth/logout'
    client-id: 'console'
    client-secret: 'console'          # choose or generate a secret

# If Application Server enabled, defaults for "10.130.2.18":
as:
  mqtt:
    public-address: '10.130.2.18:1883'
    public-tls-address: '10.130.2.18:8883'
  webhooks:
    downlink:
      public-address: '10.130.2.18:1885/api/v3'

# If Device Claiming Server enabled, defaults for "10.130.2.18":
dcs:
  oauth:
    authorize-url: 'http://10.130.2.18:8080/oauth/authorize'
    token-url: 'http://10.130.2.18:8080/oauth/token'
    logout-url: 'http://10.130.2.18:8080/oauth/logout'
    client-id: 'device-claiming'
    client-secret: 'device-claiming'          # choose or generate a secret
  ui:
    canonical-url: 'http://10.130.2.18:8080/claim'
    as:
      base-url: 'http://10.130.2.18:8080/api/v3'
    dcs:
      base-url: 'http://10.130.2.18:8080/api/v3'
    is:
      base-url: 'http://10.130.2.18:8080/api/v3'
    ns:
      base-url: 'http://10.130.2.18:8080/api/v3'
